#ifndef ACTOR_BODY_H
#define ACTOR_BODY_H

#include "scene/3d/physics/character_body_3d.h"
#include "equipment.h"
class ActorBody;

class ActorBody : public CharacterBody3D {
	GDCLASS(ActorBody, CharacterBody3D);
	static void _bind_methods();
public:
	void receive_damage(DamageEvent event);
	void send_damage(int amount, ActorBody *target);
private:
	int health{10};
	int max_health{10};

	class Equipment *equipment{nullptr};
};
#endif // !ACTOR_BODY_H
